<html devsite><head>
  <title>视频和代码实验室教程</title>
  <meta name="project_path" value="/_project.yaml"/>
  <meta name="book_path" value="/_book.yaml"/>
</head>

<body>

 <!--
      Copyright 2018 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

  <p>供应商测试套件 (VTS) 代码实验室和视频教程提供了有关在 Android 9 及 Android 8.1 上运行和开发 VTS 与 CTS-on-GSI 的详细信息。</p>

  <h2>适用于 Android 9 的视频和代码实验室</h2>

  <table>
    <tbody><tr>
      <th>主题</th>

      <th>细目</th>

      <th>视频</th>

      <th>代码实验室/SAC</th>
    </tr>

    <tr>
      <th>序言</th>

      <td><strong>概述</strong>
      </td>

      <td>Android 供应商测试套件（即将推出）</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts/#0">简介</a>
      </td>
    </tr>

    <tr>
      <th rowspan="2">用户手册</th>

      <td><strong>如何运行 VTS 和 CTS-on-GSI</strong>
      </td>

      <td>如何运行 VTS 和 CTS-on-GSI（即将推出）</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#1">构建并运行 VTS 测试计划</a>
      </td>
    </tr>

    <tr>
      <td><strong>如何刷写 GSI</strong>
      </td>

      <td>如何刷写常规系统映像（即将推出）</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts/#3">为设备准备 GSI 以执行 CTS-on-GSI 测试计划</a>
      </td>
    </tr>

    <tr>
      <th rowspan="3">供应商测试框架 (VTF)</th>

      <td><strong>测试框架</strong>
      </td>

      <td>测试框架变更（即将推出）</td>

      <td><a href="https://source.android.com/compatibility/vts/shell-commands">SAC 测试框架</a>
      </td>
    </tr>

    <tr>
      <td><strong>测试时间优化</strong>
      </td>

      <td>测试时间优化（即将推出）</td>

      <td>--</td>
    </tr>

    <tr>
      <td><strong>多设备测试</strong>
      </td>

      <td>多设备测试（即将推出）</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts/#12">编写多设备测试</a>
      </td>
    </tr>

    <tr>
      <th rowspan="2">基本测试开发</th>

      <td><strong>VTS 测试</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=DVanlGPV0wA&amp;index=4&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">VTS 测试</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#2">编写 VTS 测试（入门）</a>
      </td>
    </tr>

    <tr>
      <td><strong>测试模板</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=O4LuIBzB2y8&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva&amp;index=8">测试模板</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#3">选择模板并编写自定义 VTS 测试</a>
      </td>
    </tr>

    <tr>
      <th rowspan="4">开发和了解 HAL 测试</th>

      <td><strong>条件测试</strong>
      </td>

      <td>条件测试（即将推出）</td>

      <td>--</td>
    </tr>

    <tr>
      <td><strong>服务名称感知型测试</strong>
      </td>

      <td>服务名称感知型 HAL（即将推出）</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts/#5">选择模板并编写自定义 VTS 测试</a>
      </td>
    </tr>

    <tr>
      <td><strong>HAL 扩展测试</strong>
      </td>

      <td>HAL 扩展测试（即将推出）</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts/#6">编写 VTS HAL 扩展测试</a>
      </td>
    </tr>

    <tr>
      <td><strong>框架向后兼容性</strong>
      </td>

      <td>Android 框架向后兼容性（即将推出）</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts/#7">编写 HAL 适配器测试</a>
      </td>
    </tr>

    <tr>
      <th rowspan="2">其他接口测试</th>

      <td><strong>内核测试</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=qWxNFhMM0Lc&amp;index=5&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">内核测试</a>
      </td>

      <td>--</td>
    </tr>

    <tr>
      <td><strong>VNDK 测试</strong>
      </td>

      <td>--</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#9">维护 VNDK ABI 测试</a>
      </td>
    </tr>

    <tr>
      <th rowspan="2">非功能测试</th>

      <td><strong>性能分析</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=F41dHKYPoic&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva&amp;index=6">性能测试</a>
      </td>

      <td>
        <a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#5">编写 VTS 性能分析测试</a>

        <p><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#4">使用 VTS 测量 VINTF 性能</a>
        </p>
      </td>
    </tr>

    <tr>
      <td><strong>模糊测试</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=AkQcNb0Mf94&amp;index=10&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">HIDL 和 HAL 接口模糊测试</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#7">编写 VTS HIDL HAL 接口模糊测试</a>
      </td>
    </tr>

    <tr>
      <th rowspan="4">供应商测试基础架构 (VTI)</th>

      <td><strong>代码覆盖率</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=tJprsmiTn4g&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva&amp;index=9">VTS 中的覆盖率插桩和收集</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#6">使用 VTS 测量原生代码覆盖率</a>
      </td>
    </tr>

    <tr>
      <td><strong>录制和重放测试</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=pwbFCKaldNU&amp;index=11&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">录制和重放测试</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#8">编写录制和重放测试</a>
      </td>
    </tr>

    <tr>
      <td><strong>端到端自动化</strong>
      </td>

      <td>自动测量基础架构（即将推出）</td>

      <td>--</td>
    </tr>

    <tr>
      <td><strong>信息中心</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=3VwSCYUv2Eo&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva&amp;index=3">持续集成信息中心</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#10">构建 VTS 信息中心和通知服务</a>
      </td>
    </tr>

    <tr>
      <th rowspan="2">结语</th>

      <td><strong>合作伙伴工程</strong>
      </td>

      <td>Treble 支持情况（即将推出）</td>

      <td>--</td>
    </tr>

    <tr>
      <td><strong>总结</strong>
      </td>

      <td>呼吁贡献（即将推出）</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts/#14">报告问题</a>
      </td>
    </tr>
  </tbody></table>

  <h2>适用于 Android 8.1 的视频和代码实验室</h2>

  <table>
    <tbody><tr>
      <th>主题</th>

      <th>细目</th>

      <th>视频</th>

      <th>代码实验室/SAC</th>
    </tr>

    <tr>
      <th>序言</th>

      <td><strong>概述</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=7BX7oSHc7nk&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">Android 供应商测试套件 (VTS) 产品</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#0">简介</a>
      </td>
    </tr>

    <tr>
      <th rowspan="2">用户手册</th>

      <td><strong>如何运行 VTS 和 CTS-on-GSI</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=BOAxwX8khlg&amp;index=2&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">如何运行 VTS</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#1">构建并运行 VTS 测试计划</a>
      </td>
    </tr>

    <tr>
      <td><strong>如何刷写 GSI</strong>
      </td>

      <td>如何刷写常规系统映像（即将推出）</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts/#3">为设备准备 GSI 以执行 CTS-on-GSI 测试计划</a>
      </td>
    </tr>

    <tr>
      <th>供应商测试框架 (VTF)</th>

      <td><strong>测试框架</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=H6sgKtvyprA&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva&amp;index=7">VTS 测试框架</a>
      </td>

      <td><a href="https://source.android.com/compatibility/vts/shell-commands">SAC 测试框架</a>
      </td>
    </tr>

    <tr>
      <th rowspan="2">基本测试开发</th>

      <td><strong>VTS 测试</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=DVanlGPV0wA&amp;index=4&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">VTS 测试</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#2">编写 VTS 测试（入门）</a>
      </td>
    </tr>

    <tr>
      <td><strong>测试模板</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=O4LuIBzB2y8&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva&amp;index=8">测试模板</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#3">选择模板并编写自定义 VTS 测试</a>
      </td>
    </tr>

    <tr>
      <th rowspan="2">其他接口测试</th>

      <td><strong>内核测试</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=qWxNFhMM0Lc&amp;index=5&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">内核测试</a>
      </td>

      <td>--</td>
    </tr>

    <tr>
      <td><strong>VNDK 测试</strong>
      </td>

      <td>--</td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#9">维护 VNDK ABI 测试</a>
      </td>
    </tr>

    <tr>
      <th rowspan="2">非功能测试</th>

      <td><strong>性能分析</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=F41dHKYPoic&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva&amp;index=6">性能测试</a>
      </td>

      <td>
        <a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#5">编写 VTS 性能分析测试</a>

        <p><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#4">使用 VTS 测量 VINTF 性能</a>
        </p>
      </td>
    </tr>

    <tr>
      <td><strong>模糊测试</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=AkQcNb0Mf94&amp;index=10&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">HIDL 和 HAL 接口模糊测试</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#7">编写 VTS HIDL HAL 接口模糊测试</a>
      </td>
    </tr>

    <tr>
      <th rowspan="3">供应商测试基础架构 (VTI)</th>

      <td><strong>代码覆盖率</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=tJprsmiTn4g&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva&amp;index=9">VTS 中的覆盖率插桩和收集</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#6">使用 VTS 测量原生代码覆盖率</a>
      </td>
    </tr>

    <tr>
      <td><strong>录制和重放测试</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=pwbFCKaldNU&amp;index=11&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">录制和重放测试</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#8">编写录制和重放测试</a>
      </td>
    </tr>

    <tr>
      <td><strong>信息中心</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=3VwSCYUv2Eo&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva&amp;index=3">持续集成信息中心</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#10">构建 VTS 信息中心和通知服务</a>
      </td>
    </tr>

    <tr>
      <th>结语</th>
      <td><strong>总结</strong>
      </td>

      <td><a href="https://www.youtube.com/watch?v=-ydHIqD8-o4&amp;index=12&amp;list=PLWz5rJ2EKKc9JOMtoWWMJHFHgvXDoThva">未来计划</a>
      </td>

      <td><a href="https://codelabs.developers.google.com/codelabs/android-vts-8/#11">报告问题</a>
      </td>
    </tr>
  </tbody></table>

</body></html>
